from setuptools import setup, find_packages

name = 'MorseCodePy'
project_page = 'https://github.com/CrazyFlyKite/MorseCodePy/'
version = '3.2'
author = 'CrazyFlyKite'
email = 'karpenkoartem2846@gmail.com'
requires = ['pygame']
package_data = {'MorseCodePy': ['sounds/*.wav']}
include_package_data = bool(package_data)
description = 'Encode, decode & play Morse Code easily'
classifiers = [
    'Natural Language :: English',
    'Development Status :: 5 - Production/Stable',
    'Intended Audience :: Developers',
    'License :: OSI Approved :: MIT License',
    'Programming Language :: Python :: 3.10',
    'Programming Language :: Python :: 3.11',
    'Programming Language :: Python :: 3.12',
    'Programming Language :: Python :: 3.13',
    'Topic :: Utilities'
]

with open('README.md', 'r', encoding='utf-8') as readme:
    documentation = readme.read()

if __name__ == '__main__':
    setup(
        name=name,
        url=project_page,
        packages=find_packages(),
        requires=requires,
        package_data=package_data,
        include_package_data=include_package_data,
        version=version,
        author=author,
        author_email=email,
        license='MIT',
        description=description,
        long_description=documentation,
        long_description_content_type='text/markdown',
        classifiers=classifiers
    )
